Module jdk.xml.dom
Package org.w3c.dom.css

# Interface ElementCSSInlineStyle

public interface ElementCSSInlineStyle
Inline style information attached to elements is exposed through the `style` attribute. This represents the contents of the STYLE attribute for HTML elements (or elements in other schemas or DTDs which use the STYLE attribute in the same way). The expectation is that an instance of the ElementCSSInlineStyle interface can be obtained by using binding-specific casting methods on an instance of the Element interface when the element supports inline CSS style information.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

## Method Summary

Modifier and Type
Method
Description
`CSSStyleDeclaration`
`getStyle()`
The style attribute.

## Method Details

### getStyle

CSSStyleDeclaration getStyle()
The style attribute.